package com.hikcreate.controller;

import com.alibaba.fastjson.JSONObject;
import com.hikcreate.drv_photo_pic.DrvPhoto;
import com.hikcreate.service.fdfs.service.FileService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletResponse;
import java.io.*;


/**
 * @author lifuyi
 * @date ${Date}
 * @description
 */
@RestController
@RequestMapping("/pic")
@Validated
public class PicController {

    @Autowired
    private DrvPhoto drvPhoto;
    @Autowired
    private FileService fileService;


    @GetMapping("/drvPhotoHis")
    public void getHisDrvPhoto(@RequestParam("time") String time, HttpServletResponse response){
        try {
            boolean result=drvPhoto.getHisDrvPhoto(time);
            JSONObject jsonObject = new JSONObject();
            jsonObject.put("result",result);
            response.setContentType("application/json;charset=UTF-8");
            response.getWriter().write(jsonObject.toJSONString());
        }catch (Exception e) {
            e.printStackTrace();
        }
    }


    @GetMapping("/testFastDfs")
    public void testFastDfs(@RequestParam("url") String url, HttpServletResponse response){

        try {
            File file=new File("C:\\Users\\lifuyi5\\Downloads\\2019-05-15");
            FileInputStream fis = new FileInputStream(file);
            ByteArrayOutputStream bos = new ByteArrayOutputStream(fis.available());
            byte[] b = new byte[1024];
            int len = -1;
            while((len = fis.read(b)) != -1) {
                bos.write(b, 0, len);
            }
            byte[] fileByte = bos.toByteArray();
            String urlFast = fileService.uploadFile(fileByte, "2019-05-15");
            response.setContentType("application/json;charset=UTF-8");
            response.getWriter().write(urlFast);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @GetMapping("/testUrl")
    public void testUrl(@RequestParam("url") String url, HttpServletResponse response){

        try {
            System.out.println("dddddddddddddd");
            response.setContentType("application/json;charset=UTF-8");
            response.getWriter().write("cjdncvjf");
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

}
